De tre scheman
Varje schema är en kort text som en telefon vet hur den ska lämna över till rätt app. mailto: öppnar e-postappen, tel: öppnar telefonvalet och sms: öppnar meddelandeappen, med mottagaren och ibland meddelandet redan ifyllda.
Telefonnummer fungerar bäst i internationellt format med plustecken och landskod, som +15035550123, så att koden fungerar för besökare från andra länder.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (äldre konvention, läses fortfarande brett)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (äldre e-postkonvention)
Kodning av meddelandetexten
Ämnesrader och meddelandetexter i mailto- och sms-länkar måste procentkodas, så att ett mellanslag blir %20 och ett et-tecken i texten blir %26. Okodade tecken kan korta av meddelandet eller bryta länken.
Plattformar har inte alltid tolkat parametern body i sms likadant, vilket är en anledning till att den äldre formen SMSTO: fortfarande är vanlig i QR-generatorer. Att testa på både iPhone och Android före tryck är den pålitliga kontrollen.
Vad de här koderna inte kan göra
En QR-kod kan inte skicka ett e-postmeddelande, skicka ett sms eller ringa ett samtal på egen hand. Den öppnar bara appen med fälten ifyllda, och den som skannar avgör om hen trycker på skicka eller ring.
Eftersom mottagaren syns före sändning bör människor kontrollera att den stämmer med vad de väntar sig. En kod som förifyller ett meddelande till ett betalnummer eller en obekant adress är en varningssignal.